RuntimeClasspathNormalization (Gradle API 7.6.3)

Package org.gradle.normalization

## Interface RuntimeClasspathNormalization

- All Superinterfaces:
    `InputNormalization`

      public interface RuntimeClasspathNormalization
      extends InputNormalization

  Configuration of runtime classpath normalization.

  Several methods accept a file pattern to selectively normalize files. Patterns may include:

  - '*' to match any number of characters
  - '?' to match any single character
  - '**' to match any number of directories or files

  Either '/' or '\' may be used in a pattern to separate directories. Patterns ending with '/' or '\' will have '**' automatically appended.

  Examples:

       all files ending with '.json' (including files in subdirectories)
          **/*.json

       all files beginning with 'build-' in the level1/level2 directory
          level1/level2/build-*

       all files (including subdirectories) beneath config/build-data
         config/build-data/

       all properties files in a build directory beneath com/acme (including subdirectories)
         com/acme/**/build/*.properties

  Since:
    4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `ignore​(java.lang.String pattern)` | Ignore resources in classpath entries matching `pattern`.
    `void` | `metaInf​(Action<? super MetaInfNormalization> configuration)` | Configures the normalization strategy for the `META-INF` directory in archives.
    `void` | `properties​(java.lang.String pattern, Action<? super PropertiesFileNormalization> configuration)` | Normalize files matching `pattern` as properties files, ignoring comments and property order, applying the rules provided by `configuration`.
    `void` | `properties​(Action<? super PropertiesFileNormalization> configuration)` | Normalize all properties files according to the rules provided by `configuration`.

- - ### Method Detail

    - #### ignore

          void ignore​(java.lang.String pattern)

      Ignore resources in classpath entries matching `pattern`.

    - #### properties

          void properties​(java.lang.String pattern,
                          Action<? super PropertiesFileNormalization> configuration)

      Normalize files matching `pattern` as properties files, ignoring comments and property order, applying the rules provided by `configuration`.
      Since:
        6.8

    - #### properties

          void properties​(Action<? super PropertiesFileNormalization> configuration)

      Normalize all properties files according to the rules provided by `configuration`. This is equivalent to calling `properties(String, Action)` with the '**/*.properties' pattern.
      Since:
        6.8

    - #### metaInf

          void metaInf​(Action<? super MetaInfNormalization> configuration)

      Configures the normalization strategy for the `META-INF` directory in archives.
      Since:
        6.6